Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cdn.shielding_location.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.CDN.ShieldingLocation.List(context.TODO(), cdn.ShieldingLocationListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cdn/shieldingpop_v2 \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/shieldingpop_v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"datacenter": "Ashburn",
"country": "United States",
"city": "Ashburn"
},
{
"id": 2,
"datacenter": "Frankfurt",
"country": "Germany",
"city": "Frankfurt"
}
]Origin shielding
Get origin shielding locations
Get information about all origin shielding locations available in the account.
GET
/
cdn
/
shieldingpop_v2
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cdn.shielding_location.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.CDN.ShieldingLocation.List(context.TODO(), cdn.ShieldingLocationListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Maximum number of items to return in the response. Cannot exceed 1000.
Required range:
1 <= x <= 1000Number of items to skip from the beginning of the list.
Required range:
x >= 0Was this page helpful?